## org.red5.compatibility.flex.messaging.messages
Class AcknowledgeMessage

    java.lang.Object
      org.red5.compatibility.flex.messaging.messages.AbstractMessage
          org.red5.compatibility.flex.messaging.messages.AsyncMessage
              org.red5.compatibility.flex.messaging.messages.AcknowledgeMessage

All Implemented Interfaces:
  Serializable, Message

Direct Known Subclasses:
  AcknowledgeMessageExt

    public class AcknowledgeMessage

extends AsyncMessage

Flex compatibility message that is returned to the client.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de), Paul Gregoire (mondain@gmail.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message
`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

Constructor Summary
`AcknowledgeMessage()`

Method Summary
`void` `readExternal(IDataInput in)`
`void` `writeExternal(IDataOutput output)`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`addParameters, getCorrelationId, setCorrelationId`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcknowledgeMessage

    public AcknowledgeMessage()

Method Detail

### readExternal

    public void readExternal(IDataInput in)

  Overrides:
    `readExternal` in class `AsyncMessage`

### writeExternal

    public void writeExternal(IDataOutput output)

  Overrides:
    `writeExternal` in class `AsyncMessage`

Copyright © 2006-2010 The Red5 Project